
### <span class="fa fa-bug"></span>&nbsp; Bug Reports

Bugs and issues with DVR-Scan are handled through [the issue tracker on Github](https://github.com/Breakthrough/DVR-Scan/issues).  If you encounter into any bugs while using DVR-Scan, please feel free to [create a new issue](https://github.com/Breakthrough/DVR-Scan/issues/new) describing the problem.

Provide as much detail as you can - include an example that clearly demonstrates the problem (if possible), and make sure to include any/all relevant program output or error messages.  Any other resources or information required to replicate the issue should be included as well.

------------------------------------------------

### <span class="fa fa-keyboard-o"></span>&nbsp; Contributing

The development of DVR-Scan is done on the public Github Repo, guided by [the feature roadmap](features.md).  Code you wish to submit should be attached to an entry in [the issue tracker](https://github.com/Breakthrough/DVR-Scan/issues?q=) (including the appropriate tags for bugfixes, new features, enhancements, etc...) or submitted as a dedicated [a pull request](https://github.com/Breakthrough/DVR-Scan/pulls).

This allows for easier communication regarding development and helps ensure that a consistent structure is maintained.  Feel free to create a new issue if required, as some planned features or bugs/issues may not yet exist in the tracker.

All submitted code should follow the [Google Python Style Guide](https://google.github.io/styleguide/pyguide.html) as closely as possible.  Also, ensure that you search through [all existing issues](https://github.com/Breakthrough/DVR-Scan/issues?q=) (both open and closed) beforehand to avoid creating duplicate entries.

Note that DVR-Scan is released under the BSD 2-Clause license, and submitted code must comply with this license (see [License & Copyright Info](copyright.md) for details).

